Subject: Re: [Bitcoin-development] Addressing rapid changes in mining power

From: Jorge Timón <[email-masked]>
Date: Wed, 23 Nov 2011 12:25:43 +0100

2011/11/23, Andy Parkins <[email-masked]>:
> Let's abandon the idea of a target difficulty.  Instead, every node just
 > generates the most difficulty block it can.  Simultaneously, every node is
 > listening for "the most difficult block generated before time T"; with T
 > being
 > picked to be the block generation rate (10 minutes).

A miner could try to obtain more difficulty out of time and cheat its
reported datetime (T).

Jorge Timón